/**
 * KRA - GitHub API Service
 * GitHub related APIs for displaying contributors
 */
import axios from 'axios';

const service = axios.create();

// 获取项目提交记录
export function Commits(page: number) {
  return service({
    url: 'https://api.github.com/repos/flipped-aurora/gin-vue-admin/commits?page=' + page,
    method: 'get',
  });
}

// 获取组织成员
export function Members() {
  return service({
    url: 'https://api.github.com/orgs/FLIPPED-AURORA/members',
    method: 'get',
  });
}

export default {
  Commits,
  Members,
};
